package com.example.garrettmoody.facerecognitionapp;

/**
 * Created by GarrettMoody on 3/12/15.
 */
public class FaceNamePair {

    private String name;
    private float eyeDistance;
    private int ID;
    private String photoUriString;
    //For PhotoGallery Only
    private boolean selected;

    FaceNamePair() {
        name = "";
        eyeDistance = 0;
        photoUriString = "";
        ID = 0;
        selected = false;
    }

    FaceNamePair(String name, Float eyeDistance, String photoUriString, int ID) {
        this.name = name;
        this.eyeDistance = eyeDistance;
        this.photoUriString = photoUriString;
        this.ID = ID;
        selected = false;
    }

    public String getName() {
        return name;
    }

    public String getUriString() {
        return photoUriString;
    }

    public int getID() {
        return ID;
    }

    public Float getEyeDistance() {
        return eyeDistance;
    }

    //For PhotoGallery Only
    public boolean isSelected() {
        return selected;
    }

    public void setSelected(boolean selected) {
        this.selected = selected;
    }

    @Override
    public String toString() {
        String returnString = "Name: " + getName() + "\nEye Distance: " + getEyeDistance();
        return returnString;
    }

}
